org.apache.maven.plugins.shade.resource

## Class ApacheLicenseResourceTransformer

- java.lang.Object
- - org.apache.maven.plugins.shade.resource.ApacheLicenseResourceTransformer

All Implemented Interfaces:
  ResourceTransformer

    public class ApacheLicenseResourceTransformer
    extends Object
    implements ResourceTransformer

Prevents duplicate copies of the license

### Constructor Summary

Constructors
Constructor and Description
`ApacheLicenseResourceTransformer()`

### Method Summary

Methods
`boolean` `canTransformResource(String resource)`
`boolean` `hasTransformedResource()`
`void` `modifyOutputStream(JarOutputStream os)`
`void` `processResource(String resource, InputStream is, List relocators)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApacheLicenseResourceTransformer

    public ApacheLicenseResourceTransformer()

### Method Detail

#### canTransformResource

    public boolean canTransformResource(String resource)

Specified by:
  `canTransformResource` in interface `ResourceTransformer`

#### processResource

    public void processResource(String resource,
                       InputStream is,
                       List relocators)
                         throws IOException

Specified by:
  `processResource` in interface `ResourceTransformer`
Throws:
  `IOException`

#### hasTransformedResource

    public boolean hasTransformedResource()

Specified by:
  `hasTransformedResource` in interface `ResourceTransformer`

#### modifyOutputStream

    public void modifyOutputStream(JarOutputStream os)
                            throws IOException

Specified by:
  `modifyOutputStream` in interface `ResourceTransformer`
Throws:
  `IOException`